# Retrieve a Disbursement source: https://developer.mastercard.com/mastercard-send-disbursements/documentation/use-cases/retrieve-disbursement/index.md This example flow shows how you use a **Disbursement API GET** request to retrieve a disbursement. For details of using the API and sample requests and responses, see [API Reference](https://developer.mastercard.com/mastercard-send-disbursements/documentation/api-reference/disbursement/index.md). We recommend waiting at least a few seconds after the POST call before making the GET call. Otherwise, you might receive an error. If the POST call was successful (approved), there is no need for a GET call. ### Example sequence {#example-sequence} Diagram mastercard-send-sequence-disbursement-get 1. You send a [Disbursement API GET](https://developer.mastercard.com/mastercard-send-disbursements/documentation/api-reference/disbursement/index.md) request to Mastercard Send. There are two types of GET call: * **GET by ID:** Uses the system-generated Disbursement ID (`id`) that was returned when you created the disbursement, for example 'dsb_1357924680'. Provide that ID as the `disbursementId` path parameter. API endpoint: `.../v1/partners/{partnerId}/disbursements/{disbursementId}` Example: `.../v1/partners/ptnr_BEeCrYJHh2BXTXPy_PEtp-8DBOo/disbursements/dsb_1357924680` See the endpoint structure: API Reference: `GET /v1/partners/{partnerId}/disbursements/{disbursementId}`
* **GET by Reference:** Uses the Disbursement Reference (`disbursement_reference`) that you provided when creating the disbursement, for example 'pay_000001328'. Provide that reference as the `ref` query parameter. API endpoint: `.../v1/partners/{partnerId}/disbursements?ref={ref}` Example: `.../v1/partners/ptnr_BEeCrYJHh2BXTXPy_PEtp-8DBOo/disbursements?ref=pay_000001328` See the endpoint structure: API Reference: `GET /v1/partners/{partnerId}/disbursements`
2. Mastercard Send validates your API request and retrieves the disbursement, including its latest status. If the disbursement cannot be found, Mastercard Send returns a 404 error message with the appropriate [error code](https://developer.mastercard.com/mastercard-send-disbursements/documentation/response-error-codes/error-codes/index.md). 3. If the disbursement is found, Mastercard Send returns a Disbursement API 200 response to you, which gives the latest transfer details including: * `status` = The latest [disbursement status](https://developer.mastercard.com/mastercard-send-disbursements/documentation/response-error-codes/status/index.md). * `original_status` = The previous status, which could be the same value. * `transaction` array = Some values indicate the approval or decline reason, see [Network Response Codes](https://developer.mastercard.com/mastercard-send-disbursements/documentation/response-error-codes/network-response-codes/index.md). The two types of GET call have slightly different response structures, but the `disbursement` object fields are the same.